[Unstable Update] 2019-02-04 - Kernels, QT5, Firefox, Deepin, Haskell, Python

unstable
update

#1

Hi community,

Welcome to our fifth unstable update of 2019. With this we added a lot of new packages into the mix. So what do we have with this one?

  • Systemd is now at v241-rc2
  • most of our Kernels got updated
  • newer packages to Deepin got added
  • Firefox got its fourth beta release of v66 series
  • Wine is now at v4.0
  • VirtualBox is now at v6.0.4
  • the usual Python and Haskell updates/rebuilds

We hope with all these changes Manjaro to be more efficient for you all.


Pinebook Pro

Stay tuned for any upcoming news on the #pinebookpro in May 2019!

Partnership with FCS Linux Aarhus

We are happy to announce a new partnership with FCS Linux Aarhus owned by @fhdk. This enables us to offer you Laptops with Manjaro pre-installed and Manjaro Stickers you can use on your own hardware or gift them to a friend. For each sale FCS will donate a percentage to the Manjaro project.

Manjaro v18.0.2 released!

To end the year with a high note we updated our flagship ISOs of Manjaro Illyria with the latest packages. It comes with refreshed packages and updated tools. You may want to download our XFCE Edition with the latest 4.13 packages, aswell as our most recent styling efforts. Our KDE fans may try our KDE Edition with the latest KDE v5.14 instead. And our GNOME fans may try our Gnome Edition with the latest GNOME v3.30.


Current supported Kernels

  • linux316 3.16.62
  • linux318 3.18.133 [EOL]
  • linux44 4.4.167 [FZN]
  • linux49 4.9.154
  • linux414 4.14.97
  • linux419 4.19.19
  • linux420 4.20.6
  • linux414-rt 4.14.93_rt53
  • linux416-rt 4.16.18_rt11
  • linux418-rt 4.18.16_rt9

Package Updates (Mon Feb 4 20:34:57 CET 2019)

A detailed list of all package changes can be found here.

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


No update for a week?
#2

Already rebooted :slight_smile: Thanks.
Note - the image in your post does not appear in the forums … though the address pulls it up.


#3

anything about glibc 2.29 in Arch ?
https://www.phoronix.com/scan.php?page=news_item&px=Glibc-2.29-More-Benchmarks

be careful systemd 2.41 rc!


#4

It’s not even in Arch Testing yet. Since it’s in core, it will take some time before it even hit Arch Stable, then Manjaro Unstable, etc. etc.

https://www.archlinux.org/packages/?q=glibc


#5

With me almost everything is blocked but I see that :wink:

Update on I3 over Xfce is perfect, thanks. :slight_smile:
Depin, perfect
Second i3, Pamac failed,

sudo pacman -Syyu

made the job :slight_smile:

log
mint at i3 in ~
$ Update                                                                                                                         
[sudo] Passwort fĂĽr mint: 
37
Updates

Um das Update zu starten [Enter] drĂĽcken , Abbruch mit [Strg+C]

Mirror einlesen [j]a + [Enter] drĂĽcken , ohne [n]ein + [Enter] drĂĽcken.j

j

::INFO Downloading mirrors from repo.manjaro.org
::INFO Using custom mirror file
::INFO Querying mirrors - This may take some time
  0.226 Germany        : https://mirror.alpix.eu/manjaro/
  0.214 Germany        : http://mirror.ragenetwork.de/manjaro/
  0.333 Germany        : https://ftp.halifax.rwth-aachen.de/manjaro/
  0.648 Germany        : ftp://ftp.halifax.rwth-aachen.de/manjaro/
  0.419 Germany        : http://ftp.tu-chemnitz.de/pub/linux/manjaro/
  0.633 Germany        : ftp://ftp.tu-chemnitz.de/pub/linux/manjaro/
  0.327 Germany        : https://mirror.netzspielplatz.de/manjaro/packages/
  0.280 Germany        : https://mirror.netcologne.de/manjaro/
  0.293 Germany        : https://repo.rhindon.net/manjaro/
  0.420 Germany        : http://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/
  0.495 Germany        : ftp://ftp.rz.tu-bs.de/pub/mirror/manjaro.org/repos/
  0.200 Germany        : https://mirror.philpot.de/manjaro/
  0.158 Germany        : http://mirror.philpot.de/manjaro/
  0.417 Germany        : https://manjaro.moson.eu/
  0.300 Germany        : http://manjaro.moson.eu/
::INFO User generated mirror list
::------------------------------------------------------------
::INFO Custom mirror file saved: /var/lib/pacman-mirrors/custom-mirrors.json
::INFO Writing mirror list
::Germany         : https://mirror.philpot.de/manjaro/unstable/$repo/$arch
::Germany         : http://mirror.philpot.de/manjaro/unstable/$repo/$arch
::Germany         : https://manjaro.moson.eu/unstable/$repo/$arch
::Germany         : http://manjaro.moson.eu/unstable/$repo/$arch
::INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
::INFO Downloading mirrors from repo.manjaro.org
::INFO Using custom mirror file
::INFO Querying mirrors - This may take some time
  0.378 Germany        : https://manjaro.moson.eu/
  0.331 Germany        : http://manjaro.moson.eu/
  0.213 Germany        : https://mirror.philpot.de/manjaro/
  0.155 Germany        : http://mirror.philpot.de/manjaro/
  0.220 Germany        : https://mirror.philpot.de/manjaro/
  0.164 Germany        : http://mirror.philpot.de/manjaro/
  0.395 Germany        : https://manjaro.moson.eu/
  0.319 Germany        : http://manjaro.moson.eu/
::INFO Writing mirror list
::Germany         : https://mirror.philpot.de/manjaro/unstable/$repo/$arch
::Germany         : https://mirror.philpot.de/manjaro/unstable/$repo/$arch
::Germany         : https://manjaro.moson.eu/unstable/$repo/$arch
::Germany         : https://manjaro.moson.eu/unstable/$repo/$arch
::INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
:: Synchronisiere Paketdatenbanken...
 core                                                                                                                                                   148,6 KiB  2,07M/s 00:00 [##############################################################################################################] 100%
 extra                                                                                                                                                 1840,9 KiB  4,68M/s 00:00 [##############################################################################################################] 100%
 community                                                                                                                                                5,2 MiB  6,48M/s 00:01 [##############################################################################################################] 100%
 multilib                                                                                                                                               186,4 KiB  14,0M/s 00:00 [##############################################################################################################] 100%
:: Starte vollständige Systemaktualisierung...
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (37) gtk-update-icon-cache-3.24.5-1  libsystemd-241rc2-2  linux414-4.14.97-1  linux414-broadcom-wl-6.30.223.271-79  linux414-nvidia-1:415.27-5  linux414-r8168-8.045.08-67  linux419-4.19.19-1  linux419-broadcom-wl-6.30.223.271-15  linux419-nvidia-1:415.27-4  linux419-r8168-8.045.08-15
            linux420-4.20.6-1  linux420-broadcom-wl-6.30.223.271-5  linux420-nvidia-1:415.27-4  linux420-r8168-8.045.08-5  qt5-base-5.12.1-0  qt5-declarative-5.12.1-1  qt5-graphicaleffects-5.12.1-1  qt5-imageformats-5.12.1-1  qt5-location-5.12.1-1  qt5-multimedia-5.12.1-1
            qt5-quickcontrols-5.12.1-1  qt5-quickcontrols2-5.12.1-1  qt5-script-5.12.1-1  qt5-speech-5.12.1-1  qt5-styleplugins-5.0.0.20170311-10  qt5-svg-5.12.1-1  qt5-tools-5.12.1-1  qt5-translations-5.12.1-1  qt5-webchannel-5.12.1-1  qt5-webengine-5.12.1-1  qt5-x11extras-5.12.1-1
            qt5-xmlpatterns-5.12.1-1  rhash-1.3.8-1  systemd-241rc2-2  systemd-sysvcompat-241rc2-2  zsh-5.7.1-1  zsh-doc-5.7.1-1

Gesamtgröße der installierten Pakete:  722,84 MiB
Größendifferenz der Aktualisierung:   -0,52 MiB

:: Installation fortsetzen? [J/n] 
(37/37) PrĂĽfe SchlĂĽssel im SchlĂĽsselring                                                                                                                                         [##############################################################################################################] 100%
(37/37) Überprüfe Paket-Integrität                                                                                                                                               [##############################################################################################################] 100%
Fehler: linux419: signature from "Philip MĂĽller (Called Little) <philm@manjaro.org>" is invalid
:: Datei /var/cache/pacman/pkg/linux419-4.19.19-1-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] 
Fehler: linux420: signature from "Philip MĂĽller (Called Little) <philm@manjaro.org>" is invalid
:: Datei /var/cache/pacman/pkg/linux420-4.20.6-1-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] 
Fehler: Konnte den Vorgang nicht durchführen (Ungültiges oder beschädigtes Paket)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

mint at i3 in ~
$ sudo pacman -Syyu
:: Synchronisiere Paketdatenbanken...
 core                                                         148,6 KiB  2,59M/s 00:00 [##################################################] 100%
 extra                                                       1840,9 KiB  6,76M/s 00:00 [##################################################] 100%
 community                                                      5,2 MiB  6,50M/s 00:01 [##################################################] 100%
 multilib                                                     186,4 KiB  10,7M/s 00:00 [##################################################] 100%
:: Starte vollständige Systemaktualisierung...
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (37) gtk-update-icon-cache-3.24.5-1  libsystemd-241rc2-2  linux414-4.14.97-1  linux414-broadcom-wl-6.30.223.271-79
            linux414-nvidia-1:415.27-5  linux414-r8168-8.045.08-67  linux419-4.19.19-1  linux419-broadcom-wl-6.30.223.271-15
            linux419-nvidia-1:415.27-4  linux419-r8168-8.045.08-15  linux420-4.20.6-1  linux420-broadcom-wl-6.30.223.271-5
            linux420-nvidia-1:415.27-4  linux420-r8168-8.045.08-5  qt5-base-5.12.1-0  qt5-declarative-5.12.1-1  qt5-graphicaleffects-5.12.1-1
            qt5-imageformats-5.12.1-1  qt5-location-5.12.1-1  qt5-multimedia-5.12.1-1  qt5-quickcontrols-5.12.1-1  qt5-quickcontrols2-5.12.1-1
            qt5-script-5.12.1-1  qt5-speech-5.12.1-1  qt5-styleplugins-5.0.0.20170311-10  qt5-svg-5.12.1-1  qt5-tools-5.12.1-1
            qt5-translations-5.12.1-1  qt5-webchannel-5.12.1-1  qt5-webengine-5.12.1-1  qt5-x11extras-5.12.1-1  qt5-xmlpatterns-5.12.1-1
            rhash-1.3.8-1  systemd-241rc2-2  systemd-sysvcompat-241rc2-2  zsh-5.7.1-1  zsh-doc-5.7.1-1

Gesamtgröße der installierten Pakete:  722,84 MiB
Größendifferenz der Aktualisierung:   -0,52 MiB

:: Installation fortsetzen? [J/n] 
(37/37) PrĂĽfe SchlĂĽssel im SchlĂĽsselring                                               [##################################################] 100%
(37/37) Überprüfe Paket-Integrität                                                     [##################################################] 100%
(37/37) Lade Paket-Dateien                                                             [##################################################] 100%
(37/37) PrĂĽfe auf Dateikonflikte                                                       [##################################################] 100%
(37/37) ĂśberprĂĽfe verfĂĽgbaren Festplattenspeicher                                      [##################################################] 100%
:: Starte pre-transaction hooks...
(1/2) Save Linux kernel modules
(2/2) Create a backup list of all installed packages
:: Verarbeite Paketänderungen...
( 1/37) Aktualisiere gtk-update-icon-cache                                             [##################################################] 100%
( 2/37) Aktualisiere libsystemd                                                        [##################################################] 100%
( 3/37) Aktualisiere systemd                                                           [##################################################] 100%
( 4/37) Aktualisiere linux414                                                          [##################################################] 100%
( 5/37) Aktualisiere linux414-broadcom-wl                                              [##################################################] 100%
( 6/37) Aktualisiere linux414-nvidia                                                   [##################################################] 100%
( 7/37) Aktualisiere linux414-r8168                                                    [##################################################] 100%
( 8/37) Aktualisiere linux419                                                          [##################################################] 100%
( 9/37) Aktualisiere linux419-broadcom-wl                                              [##################################################] 100%
(10/37) Aktualisiere linux419-nvidia                                                   [##################################################] 100%
(11/37) Aktualisiere linux419-r8168                                                    [##################################################] 100%
(12/37) Aktualisiere linux420                                                          [##################################################] 100%
(13/37) Aktualisiere linux420-broadcom-wl                                              [##################################################] 100%
(14/37) Aktualisiere linux420-nvidia                                                   [##################################################] 100%
(15/37) Aktualisiere linux420-r8168                                                    [##################################################] 100%
(16/37) Aktualisiere qt5-base                                                          [##################################################] 100%
Neue optionale Abhängigkeiten für qt5-base
    qt5-translations: for some native UI translations [Installiert]
(17/37) Aktualisiere qt5-declarative                                                   [##################################################] 100%
(18/37) Aktualisiere qt5-graphicaleffects                                              [##################################################] 100%
(19/37) Aktualisiere qt5-imageformats                                                  [##################################################] 100%
(20/37) Aktualisiere qt5-location                                                      [##################################################] 100%
(21/37) Aktualisiere qt5-multimedia                                                    [##################################################] 100%
(22/37) Aktualisiere qt5-quickcontrols                                                 [##################################################] 100%
(23/37) Aktualisiere qt5-quickcontrols2                                                [##################################################] 100%
(24/37) Aktualisiere qt5-script                                                        [##################################################] 100%
(25/37) Aktualisiere qt5-speech                                                        [##################################################] 100%
(26/37) Aktualisiere qt5-styleplugins                                                  [##################################################] 100%
(27/37) Aktualisiere qt5-svg                                                           [##################################################] 100%
(28/37) Aktualisiere qt5-tools                                                         [##################################################] 100%
(29/37) Aktualisiere qt5-translations                                                  [##################################################] 100%
(30/37) Aktualisiere qt5-webchannel                                                    [##################################################] 100%
(31/37) Aktualisiere qt5-webengine                                                     [##################################################] 100%
(32/37) Aktualisiere qt5-x11extras                                                     [##################################################] 100%
(33/37) Aktualisiere qt5-xmlpatterns                                                   [##################################################] 100%
(34/37) Aktualisiere rhash                                                             [##################################################] 100%
(35/37) Aktualisiere systemd-sysvcompat                                                [##################################################] 100%
(36/37) Aktualisiere zsh                                                               [##################################################] 100%
(37/37) Aktualisiere zsh-doc                                                           [##################################################] 100%
:: Starte post-transaction hooks...
( 1/19) Updating linux414 module dependencies...
( 2/19) Updating linux419 module dependencies...
( 3/19) Updating linux420 module dependencies...
( 4/19) Updating linux414 initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux414.preset: 'default'
  -> -k /boot/vmlinuz-4.14-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.14-x86_64.img
==> Starting build: 4.14.97-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.14-x86_64.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux414.preset: 'fallback'
  -> -k /boot/vmlinuz-4.14-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.14-x86_64-fallback.img -S autodetect
==> Starting build: 4.14.97-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.14-x86_64-fallback.img
==> Image generation successful
( 5/19) Updating linux419 initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux419.preset: 'default'
  -> -k /boot/vmlinuz-4.19-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.19-x86_64.img
==> Starting build: 4.19.19-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.19-x86_64.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux419.preset: 'fallback'
  -> -k /boot/vmlinuz-4.19-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.19-x86_64-fallback.img -S autodetect
==> Starting build: 4.19.19-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.19-x86_64-fallback.img
==> Image generation successful
( 6/19) Updating linux420 initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux420.preset: 'default'
  -> -k /boot/vmlinuz-4.20-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.20-x86_64.img
==> Starting build: 4.20.6-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.20-x86_64.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux420.preset: 'fallback'
  -> -k /boot/vmlinuz-4.20-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.20-x86_64-fallback.img -S autodetect
==> Starting build: 4.20.6-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
  -> Running build hook: [fsck]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.20-x86_64-fallback.img
==> Image generation successful
( 7/19) Updating Grub-Bootmenu
GRUB-Konfigurationsdatei wird erstellt …
Thema gefunden: /usr/share/grub/themes/manjaro/theme.txt
Linux-Abbild gefunden: /boot/vmlinuz-4.20-x86_64
initrd-Abbild gefunden: /boot/intel-ucode.img /boot/amd-ucode.img /boot/initramfs-4.20-x86_64.img
Found initrd fallback image: /boot/initramfs-4.20-x86_64-fallback.img
Linux-Abbild gefunden: /boot/vmlinuz-4.19-x86_64
initrd-Abbild gefunden: /boot/intel-ucode.img /boot/amd-ucode.img /boot/initramfs-4.19-x86_64.img
Found initrd fallback image: /boot/initramfs-4.19-x86_64-fallback.img
Linux-Abbild gefunden: /boot/vmlinuz-4.14-x86_64
initrd-Abbild gefunden: /boot/intel-ucode.img /boot/amd-ucode.img /boot/initramfs-4.14-x86_64.img
Found initrd fallback image: /boot/initramfs-4.14-x86_64-fallback.img
Found memtest86+ image: /boot/memtest86+/memtest.bin
erledigt
( 8/19) Updating icon theme caches...
( 9/19) Restore Linux kernel modules

==> Warning:
	 -> Kernel has been updated. Modules of the current kernel
	 -> have been backed up so you can continue to use your
	 -> computer. However, the new kernel will only work 
	 -> at next boot.
	
	
(10/19) Updating journal message catalog...
(11/19) Reloading system manager configuration...
(12/19) Updating udev hardware database...
(13/19) Applying kernel sysctl settings...
(14/19) Creating system user accounts...
(15/19) Creating temporary files...
(16/19) Reloading device manager configuration...
(17/19) Arming ConditionNeedsUpdate...
(18/19) Updating the info directory file...
(19/19) Updating the desktop file MIME type cache...



#6

error msm-notifier

Feb 04 21:24:04 manjaro systemd-coredump[982]: Process 887 (msm_notifier) of user 1000 dumped core.
                                               
                                               Stack trace of thread 887:
                                               #0  0x00007f3a36ffed7f raise (libc.so.6)
                                               #1  0x00007f3a36fe9672 abort (libc.so.6)
                                               #2  0x00007f3a373a07fc _ZNK14QMessageLogger5fatalEPKcz (libQt5Core.so.5)
                                               #3  0x00007f3a373b450c n/a (libQt5Core.so.5)
                                               #4  0x00007f3a31513f3f n/a (libqgtk2style.so)
                                               #5  0x00007f3a315025f0 n/a (libqgtk2style.so)
                                               #6  0x00007f3a31516b00 n/a (libqgtk2style.so)
                                               #7  0x00007f3a3806b17d _ZN13QStyleFactory6createERK7QString (libQt5Widgets.so.5)
                                               #8  0x00007f3a380923fd _ZN11QProxyStyleC2ERK7QString (libQt5Widgets.so.5)
                                               #9  0x00007f3a31526aec _ZN15Qt5CTProxyStyleC1ERK7QString (libqt5ct-style.so)
                                               #10 0x00007f3a31526781 _ZN16Qt5CTStylePlugin6createERK7QString (libqt5ct-style.so)
                                               #11 0x00007f3a3806b17d _ZN13QStyleFactory6createERK7QString (libQt5Widgets.so.5)
                                               #12 0x00007f3a37ffe8bc _ZN12QApplication5styleEv (libQt5Widgets.so.5)
                                               #13 0x00007f3a37ffeb46 _ZN19QApplicationPrivate10initializeEv (libQt5Widgets.so.5)
                                               #14 0x00007f3a37ffebab _ZN19QApplicationPrivate4initEv (libQt5Widgets.so.5)
                                               #15 0x0000557ccc9e6f63 n/a (msm_notifier)
                                               #16 0x0000557ccc9e12f2 n/a (msm_notifier)
                                               #17 0x00007f3a36feb223 __libc_start_main (libc.so.6)
                                               #18 0x0000557ccc9e184e _start (msm_notifier)
                                               
                                               Stack trace of thread 958:
                                               #0  0x00007f3a370b7c21 __poll (libc.so.6)
                                               #1  0x00007f3a33dfe630 n/a (libxcb.so.1)
                                               #2  0x00007f3a33e002db xcb_wait_for_event (libxcb.so.1)```

edit -- Feb 5 update of qt5-base fixed my issue  :)

#7

My update went fine, but there is one new [& very esoteric] bug --NOT caused by Manjaro but by upstream-- the new version of Firejail [0.9.58] kills streaming in Firefox [Dev & standard] for the ABC Australia iView sites, eg,

  1. https://iview.abc.net.au/show/abc-live-stream/video/IV1512H001S00#playing
  2. https://iview.abc.net.au/show/abc-news-24/video/NS1413V001S00#playing

Nobody > Australia will be able to use those sites, unless you geo-dodge via VPN.

FF & Dev remain happy with those sites when run naked, & when run in FJ 0.9.56, but .58 kills them. I’ve validated this with different FF installs, in Safe Mode, & with a refreshed profile. The common factor each time sadly is the new FJ.

Other than this, another fine update.


#8

Repost in appropriate thread + new info:

In the latest round of unstable updates, vtk was updated to 8.2.0. This breaks my OpenCV-including builds, so I had downgraded.
This has been solved upstream already in opencv 4.0.1-4. (see https://bugs.archlinux.org/task/61626 )

If you can not wait for it to hit the repos, download it here https://www.archlinux.org/packages/extra/x86_64/opencv/ and use pacman -U <file>, to update.


#9

More info, following more hours of testing.

  1. As well as this new FJ breaking iView streaming, it also breaks Netflix streaming. I think that little discovery will likely garner a bit of attention from the FJ Devs… :grin:
  2. A co-symptom of this new-FJ incompatibility with FF & FF-Dev is that when one seeks to close FF/+Dev, their UI vanishes but their process/es keep running in FJ. One has to manually kill them in the Firetools UI. Again this does not occur with the previous FJ.
  3. Adding the noprofile option to the custom launcher, eg, firejail --noprofile -- /usr/lib/firefox-developer-edition/firefox stops all the preceding Bad Things happening… but this is merely a Pyrrhic victory not a real solution, given the resulting FF/+Dev session is now halfway back to being naked [eg, the browser once more has full access to the entire $HOME directory, blocking which is but one of the reasons for using FJ in the first place, sigh].
  4. Chromium [& therefore i presume also Vivaldi, but i didn’t explicitly test it given it’s not installed in my Unstable VM & i don’t want to spend the time putting it there] continues to work perfectly in the new FJ, no detriment to the previous versions. Whatever the incompatibility is, it’s restricted to FF & Dev.

If @netblue30 hasn’t fixed FJ 0.9.58 before it rolls across into Manjaro Stable, i shall pin my FJ in Stable at 0.9.56, so that my daily usage of my FF Dev remains pleasant [i’m awake to the personal irony, given only relatively recently i re-migrated myself back to FF Dev from Vivaldi].


#10

Lutris pulled in gnome-desktop as a hard dependency with this update.

Any idea why? Lutris 0.5.0-2.


#11

Nice, the most recent update fixed Akonadi for me. I wasn’t able to start Kontact and view my calender entries in the clock widget anymore the last couple of weeks, due to some Akonadi error.


#12

https://bugs.archlinux.org/task/61648


#13

Thanks. That explains it. :slight_smile:


#14

Oh boy, I bet it’ll be asked a gazillion time when it’ll be on Stable. :laughing:

“Err, why does it pull that pesky gnome stuff, I use KDE/XFCE/MATE/whaever !?”


#15

Unable to any launch applications from the Plasma application menu since qt 5.12.1 update, launching the same apps from konsole, krunner, panel, etc works fine.

No journal log or kernel log errors are thrown, they just fail to lauch, all of them.

Same issue was also reported on kreddit by an Arch user, tried to find it on KDE bugtracker with no luck … the search functionality is a complete mess though, almost impossible to find anything.

Anyone else confirim this?

EDIT :

Changing to an alternate launcher doesn’t help, application dashboard and application launcher has the same behavior.

Attempting to edit the application laucher details hangs also, something not right here.

EDIT :

Right Click -> Edit Applications does nothing, KDE Menu Editor should launch.

Take any app from menu, add it to panel, and it works.

Right Click App -> Edit Application and the Details tab is empty.

Something definitely screwed up.


#16

No, not here when i did this update several days ago. I’m just about to update my Testing VM, after which i’ll recheck the Unstable VM, then edit this post if anything significant happened/s.



Update: No, it’s all still fine here. There was a big Unstable update which i did, then rebooted. Before & after it, everything worked fine with the Application Menu. System [VM] disposition post-reboot:

Operating System: Manjaro Linux 
KDE Plasma Version: 5.14.5
Qt Version: 5.12.1
KDE Frameworks Version: 5.54.0
Kernel Version: 4.20.7-1-MANJARO
OS Type: 64-bit
Processors: 2 × Intel® Core™ i7-4790 CPU @ 3.60GHz
Memory: 3.9 GiB of RAM

#17

Nope, sorry. Tested with all vanilla launchers plus “Simple Menu”, everything works here.

You might want to backup and then recreate ~/.config/plasma-org.kde.plasma.desktop-appletsrc, to see if makes some difference?


#18

Whenever I kill and restart plasmashell I get this error in the text output.

libpng warning: Image height exceeds user limit in IHDR
libpng error: Invalid IHDR data
libpng warning: Image height exceeds user limit in IHDR
libpng error: Invalid IHDR data

Rebuilding the KDE application database and restarting plasmashell

kbuildscoca5 --nocincremental
killall plasmashell; kstart5 plasmashell&

Fixes this weird issue, the above error doesn’t appear, menu apps launch, but next boot it returns.

Something is screwed up so I’ll probably end up blowing away the plasma config file and re-configuring it from scratch. Hopefully that will remedy this issue.

EDIT :

â– â– â– â– â– â–  this is now happening on testing laptop so it is a Qt 5.12.1 issue.


#19

FJ + FF + FF-Dev is/are now all good again, with latest version 0.9.58.2. As yet this is not available in Manjaro Unstable [only the buggy 0.9.58.1 atm] etc, but its updated PKGBUILD is available at https://git.archlinux.org/svntogit/community.git/tree/trunk/PKGBUILD?h=packages/firejail. It builds just fine. Hence i’m now running FJ 0.9.58.2 in my Testing VM, & in Tower’s real Stable. Now once more, FF & FF-Dev launch, stream [iView & NF], & close properly again, in FJ.58. Yay.


#20

Just updated my laptop thats on unstable branch. Got the libidn2 error again with the new systemd package 241-rc2 I think. It can’t find libidn2.so.4.

Downgrading systemd did not work. Now my pacman does not work either.

After downgrading systemd, libidn2, curl, gnutls and libpsl I now have a booting system again.
The new version of libidn2 does not provide libidn2.so.4 that it should.